commit:     38dc81b28f07a2755cc7c6bc3c4bb4edb8f5bbf3
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 14 17:05:17 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Mar 14 18:02:53 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38dc81b2

games-emulation/ppsspp: bump to 1.20.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 games-emulation/ppsspp/Manifest             |   1 +
 games-emulation/ppsspp/ppsspp-1.20.2.ebuild | 104 ++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/games-emulation/ppsspp/Manifest b/games-emulation/ppsspp/Manifest
index 8d8583ee4771..f87d2361daaa 100644
--- a/games-emulation/ppsspp/Manifest
+++ b/games-emulation/ppsspp/Manifest
@@ -1 +1,2 @@
 DIST ppsspp-1.19.3.tar.xz 58144916 BLAKE2B 
7799613c360fe1b9e597a28a6b89edcdb8160ebf861ea39d95273e6dfbf49abd8de5d708b552b3b06417e7ac9dd1575767e614f449fea2c0fcb4ef4e174013ee
 SHA512 
03d75dc4fa488a659570c8c9d8c94e1c59c1d94c2f71edb54adae8807ad4322b4d7e6d8b94193a90c335cb7b3a889cc4f5bde604d0bc577b9407249913f4c04f
+DIST ppsspp-1.20.2.tar.xz 60504476 BLAKE2B 
c5f58e88330c8f2fe50a6e6510487f9fdfa764c6c00ca928f4797432b993a8be04b683a63c10047681169aa66d899f771bdc897e9a4de617cb0f31e26215fb8e
 SHA512 
22a99bd8b084fc553bdd3a82cb375eac7f0d197d52905412a356a43712132d61375c7f27e6456acae7af2f44085cc14a21017fe11ccb89d574643caadb7ee51a

diff --git a/games-emulation/ppsspp/ppsspp-1.20.2.ebuild 
b/games-emulation/ppsspp/ppsspp-1.20.2.ebuild
new file mode 100644
index 000000000000..e9e9f1c73642
--- /dev/null
+++ b/games-emulation/ppsspp/ppsspp-1.20.2.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit flag-o-matic python-any-r1 xdg cmake
+
+DESCRIPTION="A PSP emulator written in C++"
+HOMEPAGE="https://www.ppsspp.org/
+       https://github.com/hrydgard/ppsspp/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/hrydgard/${PN}";
+else
+       
SRC_URI="https://github.com/hrydgard/${PN}/releases/download/v${PV}/${P}.tar.xz";
+
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="Apache-2.0 BSD BSD-2 GPL-2 JSON MIT"
+SLOT="0"
+IUSE="discord test wayland"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=media-libs/sdl2-ttf-2.24.0
+       app-arch/snappy:=
+       app-arch/zstd:=
+       dev-libs/libzip:=
+       media-libs/glew:=
+       media-libs/libpng:=
+       media-libs/libsdl2[X,opengl,sound,video,wayland?]
+       media-libs/libsdl2[joystick]
+       media-video/ffmpeg:=
+       virtual/opengl
+       virtual/zlib:=
+"
+DEPEND="
+       ${RDEPEND}
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.17.1-SpvBuilder-cstdint.patch"
+       "${FILESDIR}/${PN}-1.17.1-cmake-cxx.patch"
+)
+
+pkg_setup() {
+       python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       find . -type f \
+               \( -iname "*CMakeLists.txt*" -or -iname "*-config.cmake" \) \
+               -exec \
+               sed -e "/^cmake_minimum_required/I s|(.*)|(VERSION 3.20)|g" -i 
{} \; \
+               || die
+
+       # rm -f -r ext/freetype || die
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       # bug https://bugs.gentoo.org/926079
+       filter-lto
+
+       local -a mycmakeargs=(
+               -DBUILD_SHARED_LIBS="OFF"
+               -DCMAKE_SKIP_RPATH="ON"
+               -DUSE_CCACHE="OFF"
+
+               -DUSE_SYSTEM_FFMPEG="ON"
+               -DUSE_SYSTEM_LIBZIP="ON"
+               -DUSE_SYSTEM_SNAPPY="ON"
+               -DUSE_SYSTEM_ZSTD="ON"
+
+               -DATLAS_TOOL="OFF"
+               -DHEADLESS="OFF"
+               -DUSING_QT_UI="OFF"
+               -DUSE_DISCORD="$(usex discord)"
+               -DUSE_WAYLAND_WSI="$(usex wayland)"
+               -DUNITTEST="$(usex test)"
+       )
+       cmake_src_configure
+}
+
+src_test() {
+       cmake_src_test -E "glslang-testsuite|matrix_transpose"
+}
+
+src_install(){
+       cmake_src_install
+
+       # > /usr/lib64/libfreetype.a and other trash
+       rm -f -r "${ED}/usr/include" || die
+       rm -f -r "${ED}/usr/lib64" || die
+}

Reply via email to